<?php
/**
* Additional Woocommerce Settings.
*
* @package Air Ticket Booking
*/

$air_ticket_booking_default = air_ticket_booking_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'air_ticket_booking_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'air-ticket-booking' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'air_ticket_booking_theme_option_panel',
	)
);

	$wp_customize->add_setting('air_ticket_booking_per_columns',
		array(
		'default'           => $air_ticket_booking_default['air_ticket_booking_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'air_ticket_booking_sanitize_number_range',
		)
	);
	$wp_customize->add_control('air_ticket_booking_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'air-ticket-booking'),
		'section'     => 'air_ticket_booking_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('air_ticket_booking_product_per_page',
		array(
		'default'           => $air_ticket_booking_default['air_ticket_booking_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'air_ticket_booking_sanitize_number_range',
		)
	);
	$wp_customize->add_control('air_ticket_booking_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'air-ticket-booking'),
		'section'     => 'air_ticket_booking_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('air_ticket_booking_show_hide_related_product',
    array(
        'default' => $air_ticket_booking_default['air_ticket_booking_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'air_ticket_booking_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('air_ticket_booking_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'air-ticket-booking'),
	        'section' => 'air_ticket_booking_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('air_ticket_booking_custom_related_products_number',
		array(
		'default'           => $air_ticket_booking_default['air_ticket_booking_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'air_ticket_booking_sanitize_number_range',
		)
	);
	$wp_customize->add_control('air_ticket_booking_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'air-ticket-booking'),
		'section'     => 'air_ticket_booking_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('air_ticket_booking_custom_related_products_number_per_row',
		array(
		'default'           => $air_ticket_booking_default['air_ticket_booking_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'air_ticket_booking_sanitize_number_range',
		)
	);
	$wp_customize->add_control('air_ticket_booking_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'air-ticket-booking'),
		'section'     => 'air_ticket_booking_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);